Inspect

List memories

List active memories in a personal scope. Memory reads are available to every Inspect API key holder.

Base URL
GET
/api/public/v1/memories

List active memories in a personal scope. Memory reads are available to every Inspect API key holder.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Query Parameters

scope*"personal"

Scope type to read.

Value in"personal"
scope_id?string

User id. Defaults to the API key user.

Length1 <= length
directive_limit?integer

Maximum number of directive memories to return.

Formatint32
Range1 <= value <= 25
Default20
fact_limit?integer

Maximum number of fact memories to return.

Formatint32
Range1 <= value <= 100
Default50

Response Body

Active memories in the requested scope

application/json
  1. response
data*
Example Request
curl -X GET 'https://your-org.inspect.com/api/public/v1/memories?scope=personal'
Example Response
{  "data": {    "scope": {      "type": "personal",      "id": "string"    },    "directives": [      {        "id": "string",        "title": "string",        "description": "string",        "content": "string",        "memoryType": "fact",        "updatedAt": "2019-08-24T14:15:22Z",        "scope": {          "type": "personal",          "id": "string"        }      }    ],    "facts": [      {        "id": "string",        "title": "string",        "description": "string",        "content": "string",        "memoryType": "fact",        "updatedAt": "2019-08-24T14:15:22Z",        "scope": {          "type": "personal",          "id": "string"        }      }    ]  }}